Package ru.bitel.common

# Class Preferences

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.common.ParameterMap
ru.bitel.common.Preferences

Direct Known Subclasses:
  `DefaultServerSetup`, `ModuleSetup`

public class Preferences extends ParameterMap
Набор параметров, хранящийся в ConcurrentHashMap. Можно загрузить из файла, из строки, из Properties. Содержит методы загрузки из БД конфигурации конкретного модуля.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.ParameterMap

  `ParameterMap.DefaultParameterMap`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `bundleName`
  `protected final Map<String,String>`
  `data`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Preferences()`
  `Preferences(boolean concurrent, boolean objectMap)`
  `Preferences(String bundleName)`
  `Preferences(String data, String delim)`
  `Preferences(URL url)`
  `Preferences(Map<String,String> data)`
  `Preferences(Map<String,String> data, boolean concurrent, boolean objectMap)`
  `Preferences(ParameterMap setup, String data, String delim)`
  `Preferences(ParameterMap setup, String data, String delim, boolean concurrent, boolean objectMap)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<Map.Entry<String,String>>`
  `entrySet()`
  `protected void`
  `extract(Map<String,String> data)`
  `String`
  `get(String key, String def)`
  `Map<String,String>`
  `getMap()`
  Возвращает в виде жавовского Map все значения.
  `final Object`
  `getObject(String key)`
  `final Object`
  `getObject(String key, Object def)`
  `protected void`
  `loadBundle(Map<String,String> data)`
  Загрузка файла конфигурации в Map, имя файла определено в поле `bundleName`.
  `void`
  `loadData(String conf, String delim)`
  `protected void`
  `loadData(String conf, String delim, Map<String,String> data)`
  `protected void`
  `loadDataEntry(Map<String,String> data, String line)`
  `protected void`
  `loadFromInputStream(InputStream inputStream, Map<String,String> data)`
  `protected void`
  `loadModuleSetup(Connection con, int moduleId, Map<String,String> data)`
  Загрузка конфигурации из БД в переданный Map.
  `final void`
  `putObject(String key, Object val)`
  `final Object`
  `removeObject(String key)`
  `void`
  `set(String key, String value)`
  `protected void`
  `updateData(Map<String,String> data)`
  Обновление данных в сетапе.

  ### Methods inherited from class ru.bitel.common.ParameterMap

  `addActionListener, filter, get, getBigDecimal, getBoolean, getChar, getDouble, getEnum, getFloat, getInt, getIntegerList, getLocalDate, getLong, inherit, sub, subIndexed, subKeyed, subLined, throwActionEvent, toReference, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### bundleName

    protected String bundleName

  - ### data

    protected final Map<String,String> data

- ## Constructor Details

  - ### Preferences

    public Preferences()

  - ### Preferences

    public Preferences(boolean concurrent, boolean objectMap)

  - ### Preferences

    public Preferences(String bundleName)

  - ### Preferences

    public Preferences(URL url)

  - ### Preferences

    public Preferences(String data, String delim)

  - ### Preferences

    public Preferences(ParameterMap setup, String data, String delim)

  - ### Preferences

    public Preferences(ParameterMap setup, String data, String delim, boolean concurrent, boolean objectMap)

  - ### Preferences

    public Preferences(Map<String,String> data)

  - ### Preferences

    public Preferences(Map<String,String> data, boolean concurrent, boolean objectMap)

- ## Method Details

  - ### get

    public String get(String key, String def)
    Specified by:
      `get` in class `ParameterMap`

  - ### entrySet

    public Set<Map.Entry<String,String>> entrySet()
    Specified by:
      `entrySet` in class `ParameterMap`

  - ### extract

    protected void extract(Map<String,String> data)
    Overrides:
      `extract` in class `ParameterMap`

  - ### set

    public void set(String key, String value)

  - ### loadData

    public void loadData(String conf, String delim)

  - ### putObject

    public final void putObject(String key, Object val)

  - ### getObject

    public final Object getObject(String key, Object def)

  - ### getObject

    public final Object getObject(String key)

  - ### removeObject

    public final Object removeObject(String key)

  - ### loadBundle

    protected void loadBundle(Map<String,String> data)
    Загрузка файла конфигурации в Map, имя файла определено в поле `bundleName`.

  - ### loadFromInputStream

    protected void loadFromInputStream(InputStream inputStream, Map<String,String> data) throws IOException
    Throws:
      `IOException`

  - ### loadData

    protected void loadData(String conf, String delim, Map<String,String> data)

  - ### loadDataEntry

    protected void loadDataEntry(Map<String,String> data, String line)

  - ### loadModuleSetup

    protected void loadModuleSetup(Connection con, int moduleId, Map<String,String> data)
    Загрузка конфигурации из БД в переданный Map.
    Parameters:
      `con` -
      `moduleId` -
      `data` -

  - ### updateData

    protected void updateData(Map<String,String> data)
    Обновление данных в сетапе.
    Parameters:
      `data` -

  - ### getMap

    public Map<String,String> getMap()
    Description copied from class: `ParameterMap`
    Возвращает в виде жавовского Map все значения. По-нормальному перегрузить, чтобы брал напрямую оттуда где хранит имплементация, а не юзалась общая entrySet.
    Overrides:
      `getMap` in class `ParameterMap`